extends Label

@onready var animation_player: AnimationPlayer = $"../AnimationPlayer"


# Called when the node enters the scene tree for the first time.
func _ready() -> void:
	self_modulate=Color(1,1,1,0) #start transparent


# Called every frame. 'delta' is the elapsed time since the previous frame.
func _process(delta: float) -> void:
	pass
	
func showRounds(round):
	var rounds=Gamestate.getRounds()
	text=str(round)+"/"+str(rounds)
	animation_player.play("show_rounds")
